Type to search.

Get the reindex status

Base URL
https://{kibana_url}
  • GET /api/upgrade_assistant/reindex/{index}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Check the status of the reindex task.

Path parameters

index string required

The name of the index that is reindexing.

Response

Indicates a successful call.

application/json
hasRequiredPrivileges boolean

Specifies whether the user has sufficient privileges to reindex this index. When security is unavailable or disabled, it is true.

warnings unknown[]

An array of any warning codes that explain what changes are required for this reindex. For example:

  • 0 specifies to remove the _all meta field. - 1 specifies to convert any coerced boolean values in the source document. For example, yes, 1, and off. - 2 specifies to convert documents to support Elastic Common Schema. Applies only to APM indices created in 6.x.